public class TestEquals 
{
 public static void main(String[] args)
    {	
	Object a = new Object();
	Object b = new Object();
   
      	Class cla = a.getClass();
      	if (cla == b.getClass()) System.out.println("cla == b.getClass()");

	for (int i =0; i<1000; i++)
               {
			Object c = new Object();
			Class clc = c.getClass();
               }

	Class clb = b.getClass();
	if (cla == clb) System.out.println("cla == clb");
    }
}